/*
 *                            COPYRIGHT
 *
 *  cschem - modular/flexible schematics editor - libcschem (core library)
 *  Copyright (C) 2018 Tibor 'Igor2' Palinkas
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.*
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  Contact:
 *    Project page: http://repo.hu/projects/cschem
 *    lead developer: email to cschem (at) igor2.repo.hu
 *    mailing list: cschem (at) list.repo.hu (send "subscribe")
 */


typedef enum {
	CSCH_PRI_HARDWIRED          = 0,
	CSCH_PRI_USER_GRPREF_HIGH   = 1,
	CSCH_PRI_USER_GRP_HIGH      = 101,
	CSCH_PRI_USER_GRPREF_NORMAL = 201,
	CSCH_PRI_USER_GRP_NORMAL    = 301,
	CSCH_PRI_USER_GRPREF_LOW    = 401,
	CSCH_PRI_USER_GRP_LOW       = 501,
	CSCH_PRI_PLUGIN_HIGH        = 1001,
	CSCH_PRI_PLUGIN_NORMAL      = 11001,
	CSCH_PRI_PLUGIN_LOW         = 21001,
	CSCH_PRI_USER_LOW           = 31001,

	/* maximum values */
	CSCH_PRIMAX_PLUGIN          = 1000  /* can not have more plugins than this, because of priority overlaps */
} csch_pri_t;

int csch_init(void);
void csch_uninit(void);

/* Insert all core actions to the global action hash */
int csch_init_actions(void);
